Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/physics_distribution_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/physics_distribution_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/physics_distribution_mod.F90	(revision 5110)
@@ -10,6 +10,6 @@
                                        nbp, nbp_lon, nbp_lat, nbp_lev, &
                                        communicator)
-  USE mod_phys_lmdz_para, ONLY: init_phys_lmdz_para, klon_omp
-  USE mod_grid_phy_lmdz, ONLY: init_grid_phy_lmdz
+  USE lmdz_phys_para, ONLY: init_phys_lmdz_para, klon_omp
+  USE lmdz_grid_phy, ONLY: init_grid_phy_lmdz
   USE dimphy, ONLY: Init_dimphy
   USE infotrac_phy, ONLY: type_trac
@@ -47,6 +47,6 @@
 
 !SUBROUTINE Init_Phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
-!  USE mod_phys_lmdz_para, ONLY: Init_phys_lmdz_para!, klon_omp
-!  USE mod_grid_phy_lmdz, ONLY: Init_grid_phy_lmdz!, nbp_lev
+!  USE lmdz_phys_para, ONLY: Init_phys_lmdz_para!, klon_omp
+!  USE lmdz_grid_phy, ONLY: Init_grid_phy_lmdz!, nbp_lev
 !  USE dimphy, ONLY: Init_dimphy
 !  USE infotrac_phy, ONLY: type_trac
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/print_control_mod.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/print_control_mod.f90	(revision 5110)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/print_control_mod.f90	(revision 5110)
@@ -0,0 +1,62 @@
+! $Id: $
+MODULE print_control_mod
+
+  INTEGER,SAVE :: lunout ! default output file identifier (6==screen)
+  INTEGER,SAVE :: prt_level ! debug output level
+  LOGICAL,SAVE :: debug ! flag to specify if in "debug mode"
+  LOGICAL,SAVE :: alert_first_CALL = .TRUE. ! for printing alerts on first CALL to routine only
+  LOGICAL,SAVE :: call_alert ! (combination of is_master and alert_first_CALL for easier use
+!$OMP THREADPRIVATE(lunout,prt_level,debug, alert_first_call, call_alert)
+
+  ! NB: Module variable Initializations done by set_print_control
+  !     routine from init_print_control_mod to avoid circular
+  !     module dependencies
+
+CONTAINS
+
+  SUBROUTINE set_print_control(lunout_,prt_level_,debug_)
+  IMPLICIT NONE
+    INTEGER, INTENT(IN) :: lunout_
+    INTEGER, INTENT(IN) :: prt_level_
+    LOGICAL, INTENT(IN) :: debug_
+      
+    lunout = lunout_
+    prt_level = prt_level_
+    debug = debug_
+    
+  END SUBROUTINE set_print_control
+
+  SUBROUTINE prt_alerte(message, modname, niv_alerte)
+    ! Function to print different values of alarms when first encountered
+    ! Meant for informative purposee
+    IMPLICIT NONE
+    ! Arguments:
+    ! message: message to print out
+    ! modname: module/routine name
+    ! niv_alerte: alert level (0/1/2)
+    CHARACTER(LEN=*), INTENT(IN) :: modname
+    CHARACTER(LEN=*) :: message
+    INTEGER :: niv_alerte
+    ! local variables
+    CHARACTER(LEN=7), DIMENSION(0:2) :: alarm_color = (/ 'VERTE  ','ORANGE ','ROUGE  ' /)
+    CHARACTER(LEN=7) :: alarm_couleur
+    INTEGER :: alarm_file=15 ! in case we want/need to print out the special alarms in a separate file     
+
+    IF ( alert_first_call) then
+       IF ( alarm_file /= lunout ) THEN
+          OPEN(unit = alarm_file, file = "ALERTES.txt")
+       ENDIF
+    ENDIF
+
+    alarm_couleur = alarm_color(niv_alerte)
+    IF (niv_alerte < 0 .OR. niv_alerte > 3) then
+       message = 'NIVEAU ALERTE INVALIDE  '//message
+       alarm_couleur='NOIRE  '
+    ENDIF
+
+    WRITE(alarm_file, *)' ALERTE ',alarm_couleur, trim(modname),  trim(message)
+    
+  END SUBROUTINE prt_alerte
+
+  
+END MODULE print_control_mod
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/regular_lonlat_mod.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/regular_lonlat_mod.f90	(revision 5110)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/regular_lonlat_mod.f90	(revision 5110)
@@ -0,0 +1,55 @@
+MODULE regular_lonlat_mod
+
+  ! Store information on the global physics grid
+  ! for a regular (longitude-latitude) grid
+  
+  INTEGER, PARAMETER :: north_east=1     ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: north_west=2     ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: south_west=3     ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: south_east=4     ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: east=2           ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: west=1           ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: north=1          ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: south=2          ! boundaries of regular lontlat
+
+! Global definition, shared by all threads
+! Do not set threadprivate directives
+
+  REAL,SAVE,ALLOCATABLE :: lon_reg(:)      ! value of longitude cell (rad)
+
+  REAL,SAVE,ALLOCATABLE :: lat_reg(:)      ! value of longitude cell (rad)
+
+  REAL,SAVE,ALLOCATABLE :: boundslon_reg(:,:)      ! value of boundaries cell (1=>west, 2=>east)(rad)
+
+  REAL,SAVE,ALLOCATABLE :: boundslat_reg(:,:)      ! value of longitude cell (1=>north, 2=>south)(rad)
+
+
+CONTAINS
+  
+  SUBROUTINE init_regular_lonlat(nbp_lon, nbp_lat, lon_reg_, lat_reg_, boundslon_reg_, boundslat_reg_)
+    IMPLICIT NONE
+    INTEGER,INTENT(IN) :: nbp_lon
+    INTEGER,INTENT(IN) :: nbp_lat
+    REAL,   INTENT(IN) :: lon_reg_(nbp_lon)  
+    REAL,   INTENT(IN) :: lat_reg_(nbp_lat) 
+    REAL,   INTENT(IN) :: boundslon_reg_(nbp_lon,2) 
+    REAL,   INTENT(IN) :: boundslat_reg_(nbp_lat,2)  
+
+    
+    ALLOCATE(lon_reg(nbp_lon))
+    lon_reg(:)=lon_reg_(:)
+
+    ALLOCATE(lat_reg(nbp_lat)) 
+    lat_reg(:)=lat_reg_(:)
+
+    ALLOCATE(boundslon_reg(nbp_lon,2)) 
+    boundslon_reg(:,:)=boundslon_reg_(:,:)
+
+    ALLOCATE(boundslat_reg(nbp_lat,2))  
+    boundslat_reg(:,:)=boundslat_reg_(:,:)
+
+  
+  END SUBROUTINE init_regular_lonlat    
+
+END MODULE regular_lonlat_mod
+
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/vertical_layers_mod.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/vertical_layers_mod.f90	(revision 5110)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/vertical_layers_mod.f90	(revision 5110)
@@ -0,0 +1,61 @@
+! $Id: $
+
+MODULE vertical_layers_mod
+
+   REAL,SAVE             :: preff  ! reference surface pressure (Pa)
+   REAL,SAVE             :: scaleheight ! atmospheric reference scale height (km)
+   REAL,SAVE,ALLOCATABLE :: ap(:) ! hybrid (pressure contribution) coordinate 
+                                  ! at layer interfaces (Pa)
+   REAL,SAVE,ALLOCATABLE :: bp(:) ! hybrid (sigma contribution) coordinate 
+                                  ! at layer interfaces (Pa)
+   REAL,SAVE,ALLOCATABLE :: aps(:) ! hybrid (pressure contribution) coordinate 
+                                   ! at mid-layer (Pa)
+   REAL,SAVE,ALLOCATABLE :: bps(:) ! hybrid (sigma contribution) coordinate 
+                                   ! at mid-layer
+   REAL,SAVE,ALLOCATABLE :: presnivs(:) ! reference pressure at mid-layer (Pa),
+                                        ! based on preff, ap and bp
+   REAL,SAVE,ALLOCATABLE :: presinter(:) ! reference pressure at interface (Pa),
+                                        ! based on preff, ap and bp
+   REAL,SAVE,ALLOCATABLE :: pseudoalt(:) ! pseudo-altitude of model layers (km),
+                                         ! based on preff and scaleheight
+   
+!$OMP THREADPRIVATE(preff,scaleheight,ap,bp,aps,bps,presnivs,presinter,pseudoalt)
+
+
+CONTAINS
+
+  SUBROUTINE init_vertical_layers(nlayer,preff_,scaleheight_,ap_,bp_,&
+                                 aps_,bps_,presnivs_, presinter_, pseudoalt_)
+    IMPLICIT NONE
+    INTEGER,INTENT(IN) :: nlayer ! number of atmospheric layers
+    REAL,INTENT(IN)    :: preff_ ! reference surface pressure (Pa)
+    REAL,INTENT(IN)    :: scaleheight_ ! atmospheric scale height (km)
+    REAL,INTENT(IN)    :: ap_(nlayer+1) ! hybrid coordinate at interfaces
+    REAL,INTENT(IN)    :: bp_(nlayer+1) ! hybrid coordinate at interfaces
+    REAL,INTENT(IN)    :: aps_(nlayer) ! hybrid coordinate at mid-layer
+    REAL,INTENT(IN)    :: bps_(nlayer) ! hybrid coordinate at mid-layer
+    REAL,INTENT(IN)    :: presnivs_(nlayer) ! Appproximative pressure of atm. layers (Pa)
+    REAL,INTENT(IN)    :: presinter_(nlayer+1) ! Appproximative pressure of atm. layers (Pa)
+    REAL,INTENT(IN)    :: pseudoalt_(nlayer) ! pseudo-altitude of atm. layers (km)
+  
+    ALLOCATE(ap(nlayer+1))
+    ALLOCATE(bp(nlayer+1))
+    ALLOCATE(aps(nlayer))
+    ALLOCATE(bps(nlayer))
+    ALLOCATE(presnivs(nlayer))
+    ALLOCATE(presinter(nlayer+1))
+    ALLOCATE(pseudoalt(nlayer))
+  
+    preff = preff_
+    scaleheight=scaleheight_
+    ap(:) = ap_(:)
+    bp(:) = bp_(:)
+    aps(:) = aps_(:)
+    bps(:) = bps_(:)
+    presnivs(:) = presnivs_(:)
+    presinter(:) = presinter_(:)
+    pseudoalt(:) = pseudoalt_(:)
+
+  END SUBROUTINE init_vertical_layers
+
+END MODULE vertical_layers_mod
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/write_field_phy.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/write_field_phy.f90	(revision 5110)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/write_field_phy.f90	(revision 5110)
@@ -0,0 +1,37 @@
+
+! $Id$
+
+MODULE write_field_phy
+
+  ! Dump a field on the global (nbp_lon by nbp_lat) physics grid
+  
+  CONTAINS 
+ 
+    SUBROUTINE WriteField_phy(name,Field,ll)
+    USE lmdz_phys_para, ONLY: klon_omp, is_mpi_root, &
+                                  Gather
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo, &
+                                 Grid1Dto2D_glo
+    USE Write_Field, ONLY: WriteField
+    
+    IMPLICIT NONE
+
+    CHARACTER(len=*),INTENT(IN) :: name
+    INTEGER,INTENT(IN) :: ll
+    REAL,INTENT(IN) :: Field(klon_omp,ll)
+
+    real, dimension(klon_glo,ll):: New_Field
+    real, dimension(nbp_lon,nbp_lat,ll):: Field_2d
+
+    CALL Gather(Field,New_Field)
+!$OMP MASTER
+    IF (is_mpi_root) THEN	
+      CALL Grid1Dto2D_glo(New_Field,Field_2D)
+      CALL WriteField(name,Field_2d)
+    ENDIF
+!$OMP END MASTER
+
+  
+   END SUBROUTINE WriteField_phy
+ 
+ END MODULE write_field_phy
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5110)
@@ -27,11 +27,11 @@
   SUBROUTINE init_iophy_new(rlat,rlon)
   USE dimphy, only: klon
-  USE mod_phys_lmdz_para, only: gather, bcast, &
+  USE lmdz_phys_para, only: gather, bcast, &
                                 jj_nb, jj_begin, jj_end, ii_begin, ii_end, &
                                 mpi_size, mpi_rank, klon_mpi, &
                                 is_sequential, is_south_pole_dyn
-  USE mod_grid_phy_lmdz, only: nbp_lon, nbp_lat, klon_glo
+  USE lmdz_grid_phy, only: nbp_lon, nbp_lat, klon_glo
   USE print_control_mod, ONLY: lunout, prt_level
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
   USE ioipsl, only: flio_dom_set
   use wxios, only: wxios_domain_param, using_xios
@@ -140,8 +140,8 @@
   
   SUBROUTINE histbeg_phy(name,itau0,zjulian,dtime,nhori,nid_day)
-  USE mod_phys_lmdz_para, only: is_sequential, jj_begin, jj_end, jj_nb
+  USE lmdz_phys_para, only: is_sequential, jj_begin, jj_end, jj_nb
   use ioipsl, only: histbeg
   USE print_control_mod, ONLY: prt_level, lunout
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
+  USE lmdz_grid_phy, ONLY: nbp_lon
   implicit none
     
@@ -170,5 +170,5 @@
 ! SUBROUTINE histbeg_phyxios(name,itau0,zjulian,dtime,ffreq,lev,nhori,nid_day)
  SUBROUTINE histbeg_phyxios(name,ffreq,lev)
-  USE mod_phys_lmdz_para, only: is_using_mpi, is_mpi_root
+  USE lmdz_phys_para, only: is_using_mpi, is_mpi_root
   use wxios, only: wxios_add_file
   IMPLICIT NONE
@@ -200,9 +200,9 @@
   SUBROUTINE histwrite2d_phy(nid,lpoint,name,itau,field)
   USE dimphy, only: klon
-  USE mod_phys_lmdz_para, only: Gather_omp, grid1Dto2D_mpi, &
+  USE lmdz_phys_para, only: Gather_omp, grid1Dto2D_mpi, &
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 jj_nb, klon_mpi
   USE ioipsl, only: histwrite
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
+  USE lmdz_grid_phy, ONLY: nbp_lon
   implicit none
     
@@ -259,9 +259,9 @@
   SUBROUTINE histwrite3d_phy(nid,lpoint,name,itau,field)
   USE dimphy, only: klon
-  USE mod_phys_lmdz_para, only: Gather_omp, grid1Dto2D_mpi, &
+  USE lmdz_phys_para, only: Gather_omp, grid1Dto2D_mpi, &
                                 is_sequential, klon_mpi_begin, klon_mpi_end, &
                                 jj_nb, klon_mpi
   USE ioipsl, only: histwrite
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
+  USE lmdz_grid_phy, ONLY: nbp_lon
   implicit none
     
@@ -323,9 +323,9 @@
   SUBROUTINE histwrite2d_xios(field_name,field)
   USE dimphy, only: klon
-  USE mod_phys_lmdz_para, only: gather_omp, grid1Dto2D_mpi, &
+  USE lmdz_phys_para, only: gather_omp, grid1Dto2D_mpi, &
                                 jj_nb, klon_mpi
   USE lmdz_xios, only: xios_send_field
   USE print_control_mod, ONLY: prt_level, lunout
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
+  USE lmdz_grid_phy, ONLY: nbp_lon
   IMPLICIT NONE
 
@@ -356,9 +356,9 @@
   SUBROUTINE histwrite3d_xios(field_name, field)
   USE dimphy, only: klon, klev
-  USE mod_phys_lmdz_para, only: gather_omp, grid1Dto2D_mpi, &
+  USE lmdz_phys_para, only: gather_omp, grid1Dto2D_mpi, &
                                 jj_nb, klon_mpi
   USE lmdz_xios, only: xios_send_field
   USE print_control_mod, ONLY: prt_level,lunout
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
+  USE lmdz_grid_phy, ONLY: nbp_lon
 
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/phyaqua_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/phyaqua_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/phyaqua_mod.F90	(revision 5110)
@@ -16,5 +16,5 @@
 
   USE phys_state_var_mod, ONLY: phys_state_var_init
-  USE mod_phys_lmdz_para, ONLY: klon_omp
+  USE lmdz_phys_para, ONLY: klon_omp
   IMPLICIT NONE
       
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5110)
@@ -19,7 +19,7 @@
       USE iophy, ONLY: histbeg_phy,histwrite_phy
       USE ioipsl, ONLY: getin,histvert,histdef,histend,ymds2ju
-      USE mod_phys_lmdz_para, ONLY: jj_nb
+      USE lmdz_phys_para, ONLY: jj_nb
       USE phys_state_var_mod, ONLY: phys_state_var_init
-      USE mod_grid_phy_lmdz, ONLY: nbp_lon,nbp_lat
+      USE lmdz_grid_phy, ONLY: nbp_lon,nbp_lat
 
       USE lmdz_xios, ONLY: xios_update_calendar, using_xios
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5110)
@@ -3,6 +3,6 @@
         lmt_omff, lmt_omnff, lmt_ombbl, lmt_ombbh, &
         lmt_omnat, lmt_omba)
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE dimphy
   USE netcdf, ONLY: nf90_get_var, nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5110)
@@ -6,6 +6,6 @@
         lmt_dmsbio, lmt_h2sbio, lmt_dms, &
         lmt_dmsconc)
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE dimphy
   USE netcdf, ONLY: nf90_get_var, nf90_inq_varid, nf90_close, nf90_noerr, nf90_open, nf90_nowrite
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5110)
@@ -173,6 +173,6 @@
   USE infotrac
   USE write_field_phy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
 
@@ -280,6 +280,6 @@
   USE infotrac
   USE write_field_phy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
 
@@ -521,6 +521,6 @@
   USE infotrac
   USE write_field_phy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5110)
@@ -6,6 +6,6 @@
   USE ioipsl
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE traclmdz_mod
   USE infotrac,ONLY: nbtr
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5110)
@@ -8,6 +8,6 @@
   USE ioipsl
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE traclmdz_mod
   USE infotrac,ONLY: nbtr
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5110)
@@ -783,6 +783,6 @@
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE IOIPSL
     USE dimphy
@@ -791,5 +791,5 @@
     USE write_field_phy
 
-    USE mod_phys_lmdz_transfert_para
+    USE lmdz_phys_transfert_para
     USE lmdz_thermcell_dq, ONLY: thermcell_dq
     USE phys_cal_mod, ONLY: jD_1jan, year_len, mth_len, days_elapsed, jh_1jan, year_cur, &
@@ -4212,6 +4212,6 @@
   SUBROUTINE readregionsdims2_spl(nbreg, fileregions)
 
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
 
     IMPLICIT NONE
@@ -4234,6 +4234,6 @@
           nbreg_dust, fileregionsdimsdust, &
           nbreg_bb, fileregionsdimsbb)
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
 
     IMPLICIT NONE
@@ -4270,6 +4270,6 @@
   SUBROUTINE readregions_spl(iregion, filenameregion)
     USE dimphy
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
 
     IMPLICIT NONE
@@ -4295,6 +4295,6 @@
   SUBROUTINE readscaleparams_spl(scale_param, nbreg, &
           filescaleparams)
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     IMPLICIT NONE
 
@@ -4332,6 +4332,6 @@
     !                                        filescaleparams,paramname,&
     !                                        julien,jH_phys, pdtphys,debutphy)
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     IMPLICIT NONE
 
@@ -4433,6 +4433,6 @@
           scale_param)
 
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_para
+    USE lmdz_grid_phy
+    USE lmdz_phys_para
     USE netcdf, ONLY: nf90_open, nf90_close, nf90_inq_varid, nf90_nowrite, nf90_noerr, nf90_get_var
     IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5110)
@@ -1,6 +1,6 @@
 SUBROUTINE read_dust(debutphy, step, nbjour, dust_ec)
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE netcdf, ONLY: nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5110)
@@ -20,6 +20,6 @@
   USE dimphy
   USE indice_sol_mod
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
 
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5110)
@@ -6,6 +6,6 @@
        USE ioipsl
        USE dimphy
-       USE mod_grid_phy_lmdz
-       USE mod_phys_lmdz_para
+       USE lmdz_grid_phy
+       USE lmdz_phys_para
        USE iophy
        USE netcdf, ONLY:nf90_inq_varid,nf90_noerr,nf90_get_var,nf90_nowrite,nf90_inq_varid,nf90_open
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5110)
@@ -1,6 +1,6 @@
 SUBROUTINE read_vent(debutphy, step, nbjour, u10m_ec, v10m_ec)
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE netcdf, ONLY: nf90_get_var, nf90_open, nf90_inq_varid, nf90_nowrite
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/interp_sulf_input.F90	(revision 5110)
@@ -8,10 +8,10 @@
   USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
+  USE lmdz_grid_phy
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_omp_data, ONLY:  is_omp_root
   USE phys_local_var_mod, ONLY: budg_3D_backgr_ocs, budg_3D_backgr_so2
   USE phys_local_var_mod, ONLY: OCS_lifetime, SO2_lifetime, H2SO4_lifetime, O3_clim
-  USE mod_phys_lmdz_para 
+  USE lmdz_phys_para
   USE dimphy
   USE phys_cal_mod
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5110)
@@ -21,7 +21,7 @@
   USE dimphy
   USE lmdz_yomcst  , ONLY: RG, RPI
-  USE mod_phys_lmdz_para, only: gather, scatter, bcast
-  USE mod_grid_phy_lmdz, ONLY: klon_glo
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_para, only: gather, scatter, bcast
+  USE lmdz_grid_phy, ONLY: klon_glo
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
   USE print_control_mod, ONLY: prt_level, lunout
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratH2O_methox.F90	(revision 5110)
@@ -10,9 +10,9 @@
   USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_phys_lmdz_omp_data, ONLY:  is_omp_root
+  USE lmdz_grid_phy
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_phys_omp_data, ONLY:  is_omp_root
 
-  USE mod_phys_lmdz_para 
+  USE lmdz_phys_para
   USE dimphy
   USE phys_cal_mod, ONLY: mth_cur
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5110)
@@ -9,5 +9,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
 
     ! Local variables
@@ -216,5 +216,5 @@
     USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
     USE dimphy, ONLY: klon
-    USE mod_grid_phy_lmdz, ONLY: nbp_lat, nbp_lon
+    USE lmdz_grid_phy, ONLY: nbp_lat, nbp_lon
     USE print_control_mod, ONLY: lunout
     USE strataer_local_var_mod
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_local_var_mod.F90	(revision 5110)
@@ -157,5 +157,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
     USE infotrac_phy, ONLY: id_OCS_strat, id_SO2_strat, id_H2SO4_strat, nbtr_sulgas, nbtr_bin
     USE phys_local_var_mod, ONLY: mdw
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_nuc_mod.F90	(revision 5110)
@@ -12,5 +12,5 @@
     USE ioipsl_getin_p_mod, ONLY: getin_p
     USE print_control_mod, ONLY: lunout
-    USE mod_phys_lmdz_para, ONLY: is_master
+    USE lmdz_phys_para, ONLY: is_master
     USE strataer_local_var_mod, ONLY: ALPH2SO4,flag_nuc_rate_box,nuclat_min,nuclat_max, &
          nucpres_min,nucpres_max
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5110)
@@ -14,6 +14,6 @@
   USE aerophys
   USE infotrac_phy
-  USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon
+  USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+  USE lmdz_grid_phy, ONLY: nbp_lon
  
   IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5110)
@@ -18,7 +18,7 @@
     USE aerophys
     USE geometry_mod, ONLY: cell_area, boundslat
-    USE mod_grid_phy_lmdz
-    USE mod_phys_lmdz_mpi_data, ONLY:  is_mpi_root
-    USE mod_phys_lmdz_para, only: gather, scatter
+    USE lmdz_grid_phy
+    USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
+    USE lmdz_phys_para, only: gather, scatter
     USE phys_cal_mod, ONLY: year_len, year_cur, mth_cur, day_cur, hour
     USE sulfate_aer_mod
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90	(revision 5110)
@@ -6,5 +6,5 @@
 
   USE dimphy
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
   IMPLICIT NONE
   ! ======================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5110)
@@ -33,5 +33,5 @@
   USE phys_local_var_mod
   USE phys_state_var_mod
-  USE mod_grid_phy_lmdz, ONLY: nbp_lev
+  USE lmdz_grid_phy, ONLY: nbp_lev
   IMPLICIT NONE
   REAL,SAVE,ALLOCATABLE :: hthturb_gcssold(:)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5110)
@@ -4,6 +4,6 @@
 SUBROUTINE atm2geo( im, jm, pte, ptn, plon, plat, pxx, pyy, pzz )
   USE dimphy
-  USE mod_phys_lmdz_para
-  USE mod_grid_phy_lmdz, only: grid_type, unstructured, regular_lonlat
+  USE lmdz_phys_para
+  USE lmdz_grid_phy, only: grid_type, unstructured, regular_lonlat
   IMPLICIT NONE
   INCLUDE 'YOMCST.h'
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5110)
@@ -277,7 +277,7 @@
     USE phys_cal_mod, ONLY: mth_cur
     USE mod_synchro_omp
-    USE mod_phys_lmdz_para, ONLY: is_mpi_root, is_omp_root
-    USE mod_phys_lmdz_transfert_para
-    USE mod_phys_lmdz_omp_transfert
+    USE lmdz_phys_para, ONLY: is_mpi_root, is_omp_root
+    USE lmdz_phys_transfert_para
+    USE lmdz_phys_omp_transfert
     USE dimphy, ONLY: klon
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5110)
@@ -33,5 +33,5 @@
   USE dimphy
   USE iophy
-  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo
+  USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
 
   IMPLICIT none 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90	(revision 5109)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90	(revision 5110)
@@ -3,6 +3,6 @@
 SUBROUTINE condsurf(jour, jourvrai, lmt_bils)
   USE dimphy
-  USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para
+  USE lmdz_grid_phy
+  USE lmdz_phys_para
   USE indice_sol_mod
   USE time_phylmdz_mod, ONLY: annee_ref
